## malcontent 0.13.1

=== debian/changelog ===
malcontent (0.13.1-5) unstable; urgency=medium

  * Try to fix x32 build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Feb 2026 10:06:19 -0500

malcontent (0.13.1-4) unstable; urgency=medium

  * Re-enable UI build for loong64
  * Don't try to build on non-Linux
  * Update list of architectures where libadwaita is available

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 03 Feb 2026 09:01:49 -0500

malcontent (0.13.1-3) unstable; urgency=medium

  * Temporarily disable UI build for loong64 for bootstrapping
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 02 Feb 2026 11:24:55 -0500

malcontent (0.13.1-2) unstable; urgency=high

  * Team upload

  [ Alessandro Astone ]
  * Fix filtering snaps after snapd 2.72 (Closes: #1120080, LP: #2128350)
  * Fix listing flatpaks in parental control UI (Closes: #1113776)
  * Fix memory leak when checking snaps

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Nov 2025 18:02:37 -0500

malcontent (0.13.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Cherry-pick an accessibility fix (LP: #2116954)
  * Update gir handling
  * debian/watch: Convert to Version: 5
  * Remove obsolete Rules-Requires-Root: no field
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Sep 2025 23:14:27 -0400

malcontent (0.13.0-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 17:17:04 +0200
