=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dpamlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)/security \
		-Dprivileged_group=sudo \
		-Dui=$(if $(filter libmalcontent-ui-%,$(shell dh_listpackages)),enabled,disabled)
