## malcontent 0.14~alpha

=== meson_options.txt ===
option(
  'installed_tests',
  type: 'boolean',
  value: false,
  description: 'enable installed tests'
)
option(
  'pamlibdir',
  type: 'string',
  description: 'directory for PAM modules'
)
option(
  'ui',
  type: 'feature',
  value: 'enabled',
  description: 'enable UI library'
)
option(
  'use_system_libmalcontent',
  type: 'boolean',
  value: false,
  description: 'use installed libmalcontent rather than building it; used in distros to break a dependency cycle'
)
option(
  'privileged_group',
  type: 'string',
  value: 'wheel',
  description: 'name of group that has elevated permissions'
)
option(
  'timer_daemon_user',
  type: 'string',
  value: 'malcontent-timerd',
  description: 'username to run the timer daemon as',
)
option(
  'timer_extension_agent_user',
  type: 'string',
  # NOTE: Ideally this would be `malcontent-timer-extension-agent` to match
  # the binary, but various systems cap username length at 31 characters
  value: 'malcontent-timer-ext-agent',
  description: 'username to run the timer extension agent as',
)
option(
  'web_daemon_user',
  type: 'string',
  value: 'malcontent-webd',
  description: 'username to run the web filtering daemon as',
)
