=== debian/changelog ===
malcontent (0.14~alpha-0ubuntu5) resolute; urgency=medium

  * debian/control: Add accountsservice dev dependency to libmalcontent-0-dev
  * debian/control: Update dev dependencies of libmalcontent-ui-dev

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 19 Feb 2026 08:43:06 +0100

malcontent (0.14~alpha-0ubuntu4) resolute; urgency=medium

  * debian/rules: Use dh_listpackages to check if docs are built
  * d/p: Accept ld-linux libraries as nss module dependencies
  * d/p: Skip failing test in armhf

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Feb 2026 08:23:56 +0100

malcontent (0.14~alpha-0ubuntu3) resolute; urgency=medium

  * d/control: Always build doc packages.
    This is not optimal but it's unclear what launchpad uses to skip the
    docs dependencies (for sure nodoc profile is not set), so let's get all
    in for now

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Feb 2026 07:19:35 +0100

malcontent (0.14~alpha-0ubuntu2) resolute; urgency=medium

  * d/p: Add option to disable building docs
  * debian/rules: Do not build docs with nodoc profile
  * d/p: Disable gtk-doc in libgsystemservice subproject
  * debian/control: Remove gtk-doc-tools dependency

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Feb 2026 06:51:39 +0100

malcontent (0.14~alpha-0ubuntu1) resolute; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * debian/gbp.conf: Adjust upstream-vcs-tag
  * d/watch: Use upstream download path for releases
    The released tag won't include the upstream subprojects otherwise
  * d/p: Remove patch applied upstream
  * d/control: Add docs build dependencies
  * debian: Vendor libgsystemservice
  * d/p: Disable systemd-analyze tests
  * d/control: Add missing build dependencies
  * debian: Use debian's libcdb-dev instead of shipping one
  * debian/control: Install services into the malcontent package
  * debian/control: Install docs and nss module in new packages
  * debian/patches: Do not install tests files if they are not enabled
  * debian/libmalcontent-0-0.symbols: Add new symbols
  * debian/control: Adjust breaks/replaces to the ubuntu version

  [ Dan Nicholson ]
  * d/control, d/libmalcontent-common.install, d/malcontent.install: Move the
    D-Bus, account-service and polkit data to a new libmalcontent-common
    package. The D-Bus interface is managed entirely from the libmalcontent-0
    library and the accounts-service extension is broken without the interface
    definitions. Most clients (including malcontent-control from
    malcontent-gui) use the libmalcontent-0 API rather than the
    malcontent-client CLI and therefore don't depend on the malcontent
    package. A versioned dependency on libmalcontent-0 has been added to its
    reverse dependencies to ensure the common package is installed.
    (Closes: #991440).

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 18 Feb 2026 05:59:59 +0100

malcontent (0.13.1-2ubuntu2) resolute; urgency=medium

  * debian/control:
    - Build-Depends on dh-sequence-translations for translations integration
      (lp: #2096764)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 05 Nov 2025 11:39:23 +0100

malcontent (0.13.1-2ubuntu1) resolute; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add patch to hide the Software Installation restrictions
    - Add patch and adjust install files to not show help for
      that hidden feature
  * Correct LP bug reference in the previous debian changelog entry

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 05 Nov 2025 09:52:12 +0100

malcontent (0.13.1-1ubuntu2) resolute; urgency=medium

  * d/p: Fix memory leak when filtering snaps

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 22 Oct 2025 15:12:38 +0200

malcontent (0.13.1-1ubuntu1) resolute; urgency=medium

  * Sync with Debian. Remaining changes:
    - Add patch to hide the Software Installation restrictions
    - Add patch and adjust install files to not show help for
      that hidden feature
  * d/p: Fix filtering snaps after snapd 2.72 (LP: #2128350)
  * d/p: Refresh Ubuntu patches

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 17 Oct 2025 19:25:30 +0200
