=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: malcontent
 Priority: optional
-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian freedesktop.org maintainers <pkg-freedesktop-maintainers@lists.alioth.debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gir,
+               dh-sequence-dlopenlibdeps <!stage1>,
+               dh-sequence-installnss,
+               dh-sequence-translations,
                appstream,
                desktop-file-utils,
                gir1.2-accountsservice-1.0-dev,
@@ -16,15 +20,22 @@
                libadwaita-1-dev (>= 1.6) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64] <!pkg.malcontent.nogui>,
                libappstream-dev,
                libdbus-1-dev,
+               libcdb-dev,
                libflatpak-dev [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64] <!pkg.malcontent.nogui>,
                libglib-testing-0-dev,
                libglib2.0-dev (>= 2.60),
+               libgnome-desktop-4-dev,
                libgtk-4-dev (>= 4.14.0) [amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64] <!pkg.malcontent.nogui>,
                libpam0g-dev,
                libpolkit-gobject-1-dev,
+               libsoup-3.0-dev,
                libxml2-utils,
                meson (>= 1.2.0),
-               polkitd
+               polkitd,
+               python3-dbus <!nocheck>,
+               python3-dbusmock <!nocheck>,
+               systemd-dev,
+Build-Depends-Indep: gi-docgen <!nodoc>,
 Standards-Version: 4.7.3
 Section: admin
 Homepage: https://gitlab.freedesktop.org/pwithnall/malcontent/
@@ -32,14 +43,16 @@
 Vcs-Git: https://salsa.debian.org/freedesktop-team/malcontent.git
 
 Package: malcontent
-Architecture: all
+Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
 Depends: accountsservice,
          gir1.2-glib-2.0,
          gir1.2-malcontent-0 (>= ${binary:Version}),
+         libmalcontent-common (>= ${source:Version}),
          polkitd,
          python3,
          python3-gi,
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: framework for parental control of applications
  malcontent implements support for restricting the type of content accessible
  to non-administrator accounts on a Linux system. Typically, when this is used,
@@ -57,7 +70,9 @@
 Package: malcontent-gui
 Build-Profiles: <!pkg.malcontent.nogui>
 Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
-Depends: malcontent (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libmalcontent-0-0 (>= 0.14~alpha-0ubuntu1~),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: GUI to configure malcontent
  malcontent implements support for restricting the type of content accessible
  to non-administrator accounts on a Linux system. Typically, when this is used,
@@ -73,12 +88,37 @@
  accidentally having access to content which they shouldn’t.
  .
  This package contains the GUI to configure malcontent.
+
+Package: libmalcontent-common
+Section: libs
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Breaks: malcontent (<< 0.14~alpha-0ubuntu1~)
+Replaces: malcontent (<< 0.14~alpha-0ubuntu1~)
+Description: library for parental control of applications
+ malcontent implements support for restricting the type of content accessible
+ to non-administrator accounts on a Linux system. Typically, when this is used,
+ a non-administrator account will be for a child using the system; and the
+ administrator accounts will be for the parents; and the content being filtered
+ will be apps which are not suitable for the child to use, due to (for example)
+ being too violent.
+ .
+ This is not a security boundary, and a sufficiently technically advanced user
+ may always work around these parental controls. malcontent is not a mandatory
+ access control (MAC) system like AppArmor or SELinux. However, its correct use
+ by applications should provide enough of an obstacle to prevent users easily or
+ accidentally having access to content which they shouldn’t.
+ .
+ This package contains common files for the libmalcontent library.
 
 Package: libmalcontent-0-0
 Section: libs
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libmalcontent-common (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: library for parental control of applications
  malcontent implements support for restricting the type of content accessible
  to non-administrator accounts on a Linux system. Typically, when this is used,
@@ -100,6 +140,7 @@
 Architecture: linux-any
 Multi-Arch: same
 Depends: libglib2.0-dev (>= 2.60),
+         libaccountsservice-dev (>= 0.6.55),
          libmalcontent-0-0 (= ${binary:Version}),
          ${gir:Depends},
          ${misc:Depends}
@@ -120,11 +161,36 @@
  .
  This package contains the development files for libmalcontent.
 
+Package: libmalcontent-0-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Build-Profiles: <!nodoc>
+Description: Documentation for libmalcontent
+ malcontent implements support for restricting the type of content accessible
+ to non-administrator accounts on a Linux system. Typically, when this is used,
+ a non-administrator account will be for a child using the system; and the
+ administrator accounts will be for the parents; and the content being filtered
+ will be apps which are not suitable for the child to use, due to (for example)
+ being too violent.
+ .
+ This is not a security boundary, and a sufficiently technically advanced user
+ may always work around these parental controls. malcontent is not a mandatory
+ access control (MAC) system like AppArmor or SELinux. However, its correct use
+ by applications should provide enough of an obstacle to prevent users easily or
+ accidentally having access to content which they shouldn’t.
+ .
+ This package contains the API reference.
+
 Package: gir1.2-malcontent-0
 Section: introspection
 Architecture: linux-any
 Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}
+Depends: libmalcontent-0-0 (>= 0.14~alpha-0ubuntu1~),
+         ${gir:Depends},
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: GObject introspection bindings for libmalcontent
  malcontent implements support for restricting the type of content accessible
  to non-administrator accounts on a Linux system. Typically, when this is used,
@@ -146,7 +212,9 @@
 Section: libs
 Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: libmalcontent-0-0 (>= 0.14~alpha-0ubuntu1~),
+         ${misc:Depends},
+         ${shlibs:Depends},
 Description: library for parental control of applications - GTK widgets and dialogs
  malcontent implements support for restricting the type of content accessible
  to non-administrator accounts on a Linux system. Typically, when this is used,
@@ -169,68 +237,11 @@
 Section: libdevel
 Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
 Multi-Arch: same
-Depends: libaccountsservice-dev,
-         libadwaita-1-dev,
-         libappstream-dev,
+Depends: libaccountsservice-dev (>= 0.6.55),
+         libadwaita-1-dev (>= 1.6),
+         libappstream-dev (>= 0.12.10),
          libflatpak-dev,
-         libglib2.0-dev (>= 2.60),
+         libglib2.0-dev (>= 2.71),
          libgtk-4-dev (>= 4.12.0),
          libmalcontent-0-dev (= ${binary:Version}),
          libmalcontent-ui-1-1 (= ${binary:Version}),
-         ${gir:Depends},
-         ${misc:Depends}
-Provides: ${gir:Provides}
-Description: development files for libmalcontent-ui
- malcontent implements support for restricting the type of content accessible
- to non-administrator accounts on a Linux system. Typically, when this is used,
- a non-administrator account will be for a child using the system; and the
- administrator accounts will be for the parents; and the content being filtered
- will be apps which are not suitable for the child to use, due to (for example)
- being too violent.
- .
- This is not a security boundary, and a sufficiently technically advanced user
- may always work around these parental controls. malcontent is not a mandatory
- access control (MAC) system like AppArmor or SELinux. However, its correct use
- by applications should provide enough of an obstacle to prevent users easily or
- accidentally having access to content which they shouldn’t.
- .
- This package contains the development files for libmalcontent-ui.
-
-Package: gir1.2-malcontentui-1
-Build-Profiles: <!pkg.malcontent.nogui>
-Section: introspection
-Architecture: amd64 arm64 armhf i386 loong64 ppc64el riscv64 s390x powerpc ppc64 sparc64
-Multi-Arch: same
-Depends: ${gir:Depends}, ${misc:Depends}
-Description: GObject introspection bindings for libmalcontent-ui
- malcontent implements support for restricting the type of content accessible
- to non-administrator accounts on a Linux system. Typically, when this is used,
- a non-administrator account will be for a child using the system; and the
- administrator accounts will be for the parents; and the content being filtered
- will be apps which are not suitable for the child to use, due to (for example)
- being too violent.
- .
- This is not a security boundary, and a sufficiently technically advanced user
- may always work around these parental controls. malcontent is not a mandatory
- access control (MAC) system like AppArmor or SELinux. However, its correct use
- by applications should provide enough of an obstacle to prevent users easily or
- accidentally having access to content which they shouldn’t.
- .
- This package contains the GObject introspection bindings for libmalcontent-ui.
-
-Package: libpam-malcontent
-Architecture: linux-any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: PAM module to control the time a user is spending on the computer
- malcontent implements support for restricting the type of content accessible
- to non-administrator accounts on a Linux system. Typically, when this is used,
- a non-administrator account will be for a child using the system; and the
- administrator accounts will be for the parents; and the content being filtered
- will be apps which are not suitable for the child to use, due to (for example)
- being too violent.
- .
- This is not a security boundary, and a sufficiently technically advanced user
- may always work around these parental controls. malcontent is not a mandatory
- access control (MAC) system like AppArmor or SELinux. However, its correct use
- by applications should provide enough of an obstacle to prevent users easily or
