=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,15 @@
 %:
 	dh $@
 
+BUILD_DOCS=$(if $(filter %-doc,$(shell dh_listpackages)),true,false)
+ifneq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
+	BUILD_DOCS=false
+endif
+
 override_dh_auto_configure:
+	ln -sfv $$PWD/debian/vendored-subprojects/libgsystemservice subprojects/
 	dh_auto_configure -- \
 		-Dpamlibdir=/usr/lib/$(DEB_HOST_MULTIARCH)/security \
 		-Dprivileged_group=sudo \
-		-Dui=$(if $(filter libmalcontent-ui-%,$(shell dh_listpackages)),enabled,disabled)
+		-Dui=$(if $(filter libmalcontent-ui-%,$(shell dh_listpackages)),enabled,disabled) \
+		-Ddocs=$(BUILD_DOCS)
