=== debian/watch ===
Version: 5

Source: https://tecnocode.co.uk/downloads/malcontent/
Matching-Pattern: @PACKAGE@-([\d.]+\.?(?:alpha|beta|rc)?[\d.]*)@ARCHIVE_EXT@
Search-Mode: plain
Uversion-Mangle: s/\.(alpha|beta|rc)/~$1/
